org.springframework.cloud.dataflow.shell.autoconfigure

## Class BaseShellAutoConfiguration

- java.lang.Object
- - org.springframework.cloud.dataflow.shell.autoconfigure.BaseShellAutoConfiguration

-     @Configuration
       @ImportResource(value="classpath*:/META-INF/spring/spring-shell-plugin.xml")
      public class BaseShellAutoConfiguration
      extends Object

  Configures the various commands that are part of the default Spring Shell experience.
  Author:
    Josh Long, Mark Pollack, Eric Bottard, Gunnar Hillert

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BaseShellAutoConfiguration.DefaultShellComponents`
    `static class` | `BaseShellAutoConfiguration.SkipperRegisterInternalCommands`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseShellAutoConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommandLine` | `commandLine(ShellCommandLineParser shellCommandLineParser, ShellProperties shellProperties, org.springframework.boot.ApplicationArguments applicationArguments)`
    `org.springframework.shell.core.JLineShellComponent` | `shell(ConfigCommands configCommands, TargetHolder targetHolder)`
    `ShellCommandLineParser` | `shellCommandLineParser()`
    `ShellProperties` | `shellProperties()`
    `TargetHolder` | `targetHolder()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseShellAutoConfiguration

          public BaseShellAutoConfiguration()

  - ### Method Detail

    - #### targetHolder

          @Bean
          public TargetHolder targetHolder()

    - #### shellCommandLineParser

          @Bean
          public ShellCommandLineParser shellCommandLineParser()

    - #### shellProperties

          @Bean
          public ShellProperties shellProperties()

    - #### commandLine

          @Bean
           @ConditionalOnMissingBean(value=org.springframework.shell.CommandLine.class)
          public CommandLine commandLine(ShellCommandLineParser shellCommandLineParser,
                                                                                                                             ShellProperties shellProperties,
                                                                                                                             org.springframework.boot.ApplicationArguments applicationArguments)
                                                                                                                      throws Exception

      Throws:
        `Exception`

    - #### shell

          @Bean
           @ConditionalOnMissingBean(value=org.springframework.shell.core.JLineShell.class)
          public org.springframework.shell.core.JLineShellComponent shell(ConfigCommands configCommands,
                                                                                                                                                                  TargetHolder targetHolder)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.